uulib-0.9.15: Haskell Utrecht Tools Library

Safe Haskell | Safe-Inferred

UU.Scanner.Token

# Documentation

type Token = GenToken String EnumValToken String Source

data EnumValToken Source

Constructors

TkVarid |
TkConid |
TkString |
TkChar |
TkInteger8 |
TkInteger10 |
TkInteger16 |
TkFraction |
TkTextnm |
TkTextln |
TkOp |
TkConOp |
TkError |

Instances

Eq EnumValToken |
Ord EnumValToken |
Show EnumValToken |
Show Token |

reserved :: String -> Pos -> Token Source

valueToken :: EnumValToken -> String -> Pos -> Token Source

errToken :: String -> Pos -> Token Source